Loading...
Searching...
No Matches
rand.h File Reference
Utility Functions

Simple Pseudo-Random Number Generator. More...

`#include <l4/sys/compiler.h>`
`#include <l4/sys/l4int.h>`
Include dependency graph for rand.h:

Go to the source code of this file.

## Functions

l4_uint32_t | l4util_rand (void)
| Deliver next random number.
void | l4util_srand (l4_uint32_t seed)
| Initialize random number generator.

## Detailed Description

Simple Pseudo-Random Number Generator.

Date
  1998

Author
  Lars Reuther reuth.nosp@m.er@o.nosp@m.s.inf.nosp@m..tu-.nosp@m.dresd.nosp@m.en.d.nosp@m.e

Definition in file rand.h.